### Method

# EDataCal CalMetaBackend gather_timezones_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_meta_backend_gather_timezones_sync (
      ECalMetaBackend* meta_backend,
      ICalComponent* vcalendar,
      gboolean remove_existing,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Extracts all VTIMEZONE components from the `vcalendar` and adds them to the memory cache, thus they are available when needed. The function does nothing when the `vcalendar` doesn’t hold a VCALENDAR component.

Set the `remove_existing` argument to `TRUE` to remove all cached timezones first and then add the existing in the `vcalendar`, or set it to `FALSE` to preserver existing timezones and merge them with those in `vcalendar`.

Available since: 3.26

#### Parameters

`vcalendar`

  Type: `None`

  A VCALENDAR `ICalComponent`.

  The data is owned by the caller of the method.

`remove_existing`

  Type: `gboolean`

  Whether to remove any existing first.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.